Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233001 - CVE-2007-1003 xserver XC-MISC integer overflow
Summary: CVE-2007-1003 xserver XC-MISC integer overflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-server
Version: 5.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard: impact=important,reported=20070216,em...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-19 20:18 UTC by Josh Bressers
Modified: 2014-06-18 09:09 UTC (History)
2 users (show)

Fixed In Version: RHSA-2007-0127
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-03 18:43:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0127 normal SHIPPED_LIVE Important: xorg-x11-server security update 2007-04-03 18:43:52 UTC

Description Josh Bressers 2007-03-19 20:18:06 UTC
+++ This bug was initially created as a clone of Bug #233000 +++

Sean Larsson, iDefense Labs, discovered an integer overflow flaw in the XC-MISC
extension.  This overflow could allow a local user to gain root privileges.

-- Additional comment from bressers@redhat.com on 2007-03-19 16:10 EST --
Created an attachment (id=150431)
Poposed upstream patch

Comment 3 Josh Bressers 2007-04-03 16:47:27 UTC
Lifting embargo

Comment 4 Red Hat Bugzilla 2007-04-03 18:43:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0127.html



Note You need to log in before you can comment on or make changes to this bug.